<?php

  // determine repo
  if( strpos($url,'templates') !== false ):
    $repo = "/templates/spotco_dev/";
  else:
    $repo = "/websites/";
  endif;

  // set base URL
  $local_url = "http://localhost:".$_SERVER['SERVER_PORT'].$repo.$staging_directory_name."/";
  $staging_url = "https://qa.spotcointeractive.com".$repo.$staging_directory_name."/";
  $production_url = "https://".$production_domain."/";

  // url processing
  $full_url = explode("?",$_SERVER['REQUEST_URI']);
  //$query = $full_url[1];
  $url = $full_url[0];
  $url_array = explode("/",$url);

  if( strpos($_SERVER['SERVER_NAME'],'spotcointeractive') ):
    // staging
    $base = $staging_url;
    $isStaging = true;
  elseif( strpos($_SERVER['SERVER_NAME'],'localhost') === 0 ):
    // local dev
    $base = $local_url;
    $isLocal = true;
  else:
    // production
    $base = $production_url;
    $isLive = true;
  endif;

	// set $page variable
  $page = $url_array[(count($url_array)-1)];
	if ( ($page == "") || ($page == $staging_directory_name) ) $page = 'home';
  
  // set timezone and get current date/time
  date_default_timezone_set("America/New_York"); 
  $now = date("Y-m-d H:i"); // eg if( $now > "2023-01-27 2:15" ):

  // if page does not exist, return 404 error
  if( !file_exists( '_pages/'.$page.'.php' ) ){
    http_response_code(404);
    $page = "404";
  }

?>
