// SCHEDULE
var Schedule = {}

Schedule.Times = [];
Schedule.eventslist = [];

Schedule.Fetch = function(source, callback) {
  $.getJSON (source, function (data) {
    if (data.contents) {
      Schedule.Times = data.contents;
      for (key in Schedule.Times) {
        var date = (Schedule.Times [key].event_SEO_name.slice (-10)).split ("-");
        Schedule.Times [key].date = date [2] + '-' + date [0] + '-' + date [1];
      }
    } else {
      Schedule.Times = data;
    }
    callback ();
  });
};

Schedule.Populate = function (eventslist,callback) {"use strict"
  //console.log(eventslist);
  for (var i = 0; i < eventslist.length; i++) {
    var eventDate = "." + eventslist[i].date;
    var eventTime = eventslist[i].time;
    var typeShow;
    if( eventslist[i].time.charAt(0) > 4 ) {
      typeShow = "eve";
    } else {
      typeShow = "mat";
    }
    //console.log($('.month').find(eventDate));
    var eventInfo = "<a id=\"calendar-" + eventslist[i].date + "-" + typeShow  + "\" class=\"event " + eventslist[i].start + "-" + typeShow + " " + typeShow + " " + eventslist[i].avail + " num" + (i + 1) + " showlink\" onclick=\"ga('send', 'event', 'site event', 'ticket click', 'Calendar Event');\" target=\"_blank\" data-date=\"" + eventslist[i].start + "-" + typeShow  + "\" href=\""+ eventslist[i].url +"\">" + eventTime + "</a>";
    //console.log(eventInfo);
    $('.month').find(eventDate).append(eventInfo);
    //console.log($('.month').find(eventDate));
  }
  $('body').addClass('calendar-loaded');
  callback();
};

Schedule.Telecharge = function (telecode,callback) {
  //Date fix
  var calDate = new Date();
  calDate.setDate(calDate.getDate() - 1);
  // Format events for calendar
  for (var i = 0; i < Schedule.Times.length; i++) {
    var dateformatted = (Schedule.Times [i].date).split ("-");
    dateformatted = dateformatted [1] + '/' + dateformatted [2] + '/' + dateformatted [0];
    if (calDate <= new Date (Schedule.Times [i].date)) {
      Schedule.eventslist.push ({
        date : Schedule.Times [i].date,
        url : 'https://www.telecharge.com/Broadway/' + telecode + '/Ticket?&PerformanceDateTime=' + dateformatted + '%20' + Schedule.Times [i].time + 'PM',
        time : Schedule.Times [i].time,
        avail : Schedule.Times [i].avail
      });
    }
  }
  callback();
};

// CALENDAR
var Calendar = {}

Calendar.months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

Calendar.init = function(callback){
  // get today's date
  var d = new Date();
  var m = d.getMonth();
  var y = d.getFullYear();
  function countMonths(currentDate, futureDate) {
    currentDate = new Date(currentDate);
    futureDate = new Date(futureDate)
    currentDate.setDate(1);
    futureDate.setDate(1);
    let count = 0;
    let currentDateCopy = new Date(currentDate);
    while (currentDateCopy <= futureDate) {
      count++;
      currentDateCopy.setMonth(currentDateCopy.getMonth() + 1);
    }
    return count;
  }

  const currentDate = new Date(); // Current date and time
  const firstShowDate = new Date('2024-04-03');
  const lastShowDate = new Date('2024-06-23');
  var firstDate; // first onsale date on the calendar
  if(currentDate > firstShowDate){
    firstDate = currentDate;
  } else {
    firstDate = firstShowDate;
  }
  var firstMonth = firstDate.getMonth();
  m = firstMonth;
  y = firstDate.getFullYear();
  const numMonths = countMonths(firstDate, lastShowDate);
  //console.log(numMonths);
  var calText = "";
  document.getElementById("cal").innerHTML = calText;
  for (var i = 0; i < numMonths; i++) {
    //console.log();
    var numDays = daysInMonth(m,y);
    var first = new Date(y,m,1);
    var frontpad = first.getDay();
    //console.log(frontpad);
    var afterpad = (7 - ((frontpad + numDays) % 7)) % 7;
    calText = "<div id=\""+Calendar.months[m]+"\" class=\"month " + Calendar.months[m] + "\" data-month=\"" + Calendar.months[m] + "\">";
    calText += "<div class=\"hed\"><h3>" + Calendar.months[m] + " " + y + "</h3><!--h4>Best Availability at Performances in <span style='color: #de691c'>ORANGE</span></h4--></div><div class=\"month-box\"><div class=\"day-hed\"><div class=\"hed-day\">SUNDAY</div><div class=\"hed-day\">MONDAY</div><div class=\"hed-day\">TUESDAY</div><div class=\"hed-day\">WEDNESDAY</div><div class=\"hed-day\">THURSDAY</div><div class=\"hed-day\">FRIDAY</div><div class=\"hed-day\">SATURDAY</div></div>";
    for (var j = 1; j <= frontpad; j++) {
      calText += "<div class=\"day blank box-" + j +" \"></div>";
    }
    for (var j = 1; j <= numDays; j++) {
      if (m < 9) {
        if (j <= 9) {
          var thisDate = y + "-" +  "0" + (m+1) + "-0" + j;
        } else {
          var thisDate = y + "-" +  "0" + (m+1) + "-" + j;
        }
      } else {
        if (j <= 9) {
          var thisDate = y + "-" + (m+1) + "-0" + j;
        } else {
          var thisDate = y + "-" +  (m+1) + "-" + j;
        }
      }
      calText += "<div class=\"day active "+thisDate+"\" data-date=\""+thisDate+"\"><span class=\"num\">" + j + "</span></div>";
    }
    for (var j = 1; j <= afterpad; j++){
      calText += "<div class=\"day blank btm-box-" + j +" \"></div>";
    }
    calText += "</div>";
    document.getElementById("cal").innerHTML += calText;
    calText = "";

    m++;
    if (m==12) {
      m = 0;
      y++;
    }

  }
  function daysInMonth(month,year) { // Month value from 0-11
    return new Date(year, month + 1, 0).getDate();
  }
  function findChildIndex(childNode) {
    var parentDiv = childNode.parentElement;
    var children = parentDiv.children; // Get the children of the parent div
    for (var i = 0; i < children.length; i++) {
      // Iterate through the children and find the index of the target node
      if (children[i] === childNode) {
        return i; // Return the index if the child is found
      }
    }
    return -1; // If the child is not found, return -1 to indicate it wasn't found
  }
  /* --- CAL FUNCTIONS --*/
  var curMonth = 1; // first month that should appear when calendar loads (1 == first)
  var startingMonthName = "";
  if(startingMonthName) {
    var startingMonth = document.querySelector(".month."+startingMonthName);
    //console.log(curMonth);
    if(startingMonth) {
      curMonth = findChildIndex(startingMonth) + 1;
    }
  }
  //console.log(curMonth);

  var numViewable = 2; // number of months that should be viewable at one time
  if(Array.from(document.querySelectorAll('.month')).length == 1) numViewable = 1;
  console.log(Array.from(document.querySelectorAll('.month')).length);

  function changeMonthTo(curMonth){
    Array.from(document.querySelectorAll('.month.active')).forEach(function(el) { 
      el.classList.remove('active');
    });
    //$(".month").removeClass("active");
    if ( curMonth == 1 ){
      Array.from(document.querySelectorAll('.cal-prev.active')).forEach(function(el) { 
        el.classList.remove('active');
      });
    } else {
      Array.from(document.querySelectorAll('.cal-prev')).forEach(function(el) { 
        el.classList.add('active');
      });
    }
    if ( curMonth == $(".month").length ) {
      Array.from(document.querySelectorAll('.cal-next.active')).forEach(function(el) { 
        el.classList.remove('active');
      });
    } else {
      Array.from(document.querySelectorAll('.cal-next')).forEach(function(el) { 
        el.classList.add('active');
      });
    }
    for (i=curMonth;i<=(curMonth+numViewable-1);i++) {
      console.log(i);
      document.querySelector(".month:nth-child("+i+")").classList.add("active");
    }
  }

  $(".cal-next, .cal-prev").click(function(e){
    e.preventDefault();
    if( $(this).hasClass("active") ) {
      if( $(this).hasClass("cal-next") ){
        curMonth++;
      } else {
        curMonth--;
      }
    }
    changeMonthTo(curMonth);
  });
  changeMonthTo(curMonth);

  callback();
}

Calendar.Times = [];
Calendar.Avail = [];
Calendar.Feat = [];

Calendar.Fetch = function(source, callback){
  $.getJSON (source, function (data) {
    if (data.contents) {
      Calendar.Times = data.contents;
      for (key in Calendar.Times) {
        var date = (Calendar.Times [key].event_SEO_name.slice (-10)).split ("-");
        Calendar.Times [key].date = date [2] + '-' + date [0] + '-' + date [1];
      }
      Calendar.Process();
    } else {
      if(source == "./_data/availability.json") {
        Calendar.Avail = data;
      } else {
        Calendar.Feat = data;
      }
      //console.log(Calendar.Avail);
      callback();
    }
  });
}

Calendar.Availability = function() { "use strict";
  let tempArray = [];
  let bestCount = 0;
  for (var i = 0; i < Calendar.Avail.length; i++) {
    let thisShow = document.getElementById("calendar-"+Calendar.Avail[i]);
    let thisShowDate = new Date(Calendar.Avail[i].slice(0,10));
    thisShowDate.setDate(thisShowDate.getDate() + 1)
    if(thisShow && thisShowDate > new Date()) {
      thisShow.classList.remove('reg');
      thisShow.classList.add('best');
    }
  }
  Calendar.Avail = tempArray;
  if(document.body.classList.contains('home')) {
    Calendar.HideOutOfRangeDates();
  }
}

Calendar.Featured = function() { "use strict";
  // this is where we filter out past dates and grab the first 6 featured performances
  let tempArray = [];
  let featuredCount = 0;
  for (var i = 0; i < Calendar.Feat.length; i++) {
    let thisShow = document.getElementById("calendar-"+Calendar.Feat[i]);
    let thisShowDate = new Date(Calendar.Feat[i].slice(0,10));
    thisShowDate.setDate(thisShowDate.getDate() + 1)
    if(thisShow && thisShowDate > new Date()) {
      if(document.body.classList.contains('edit-content')){
        thisShow.classList.add('featured');
      }
      if(featuredCount < 6){
        tempArray.push (Calendar.Feat[i]);
        featuredCount++;
      }
    }
  }
  Calendar.Feat = tempArray;
  if(document.body.classList.contains('home')) {
    Calendar.PopulateFeatured();
  }
}

Calendar.PopulateFeatured = function () {"use strict"

  if(Calendar.Feat.length){
    document.getElementById("best-avail").innerHTML = "<h2 class='bg-line'><span>  <span class='left'><img src='./_img/header-arrow-left.jpg' class='hidden-xs'><img src='./_img/header-arrow-left-sm.jpg' class='visible-xs'></span>BEST AVAILABILITY<span class='right'><img src='./_img/header-arrow-right.jpg' class='hidden-xs'><img src='./_img/header-arrow-right-sm.jpg' class='visible-xs'></span></span></h2><div class='date-row'></div>";
    function getDayOfWeek(date) {
      const dayOfWeek = new Date(date).getDay();
      return isNaN(dayOfWeek) ? null :
        ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'][dayOfWeek];
    }
    let baContainer = document.querySelector("#best-avail .date-row");
    let featuredElement = "";
    baContainer.innerHTML = featuredElement;
    for (var i = 0; i < Calendar.Feat.length; i++) {
      let dateInfo = Calendar.Feat[i].split("-");
      featuredElement = document.getElementById("calendar-"+Calendar.Feat[i]);
      let featuredLink = featuredElement.href;
      let featuredDay = getDayOfWeek(Calendar.Feat[i].slice(0,10));
      let featuredMonth = Calendar.months[dateInfo[1] -1].slice(0,3);
      let featuredDate = dateInfo[2];
      let featuredTime = featuredElement.innerHTML;
      featuredElement = "<a id='upcoming-" + dateInfo + "' class='date-box' target='_blank' href='"+ featuredLink +"'><span class='dow'>" + featuredDay + "</span><span class='day-time'>" + featuredMonth + " " + featuredDate + "<br>" + featuredTime + "PM</span></a>";
      if(i != Calendar.Feat.length - 1){
        featuredElement += '<div class="divider"</div>';
       }
      baContainer.innerHTML += featuredElement;
    }
  } else {
    const element = document.getElementById("best-avail");
    element.style.height = 0;
  }
}

Calendar.Process = function(){
  var eventslist = [];
  //Date fix
  var calDate = new Date();
  calDate.setDate(calDate.getDate() - 1);
  for (var i = 0; i < Calendar.Times.length; i++) {
    if (calDate <= new Date (Calendar.Times [i].date)) {
      eventslist.push ({
        start : Calendar.Times [i].date,
        time : Calendar.Times [i].time,
        avail : Calendar.Times [i].avail
      });
    }
  }
  Calendar.Populate (eventslist);
}

// Initalize calendar in container, pass it parsed events list array with
// ticket links
Calendar.Populate = function (eventslist) {"use strict"
  var showType = "";
  for (var i = 0; i < eventslist.length; i++) {
    var eventDate = eventslist[i].start;
    if(eventslist[i].time.charAt(0) > 3) {
      showType = "eve";
    } else {
      showType = "mat";
    }
    var showAvail = eventslist[i].avail;
    let thisShow = document.getElementById("calendar-"+eventDate+"-"+showType);
    thisShow.classList.add(showAvail);
  }
  Calendar.HideOutOfRangeDates();
}

Calendar.HideOutOfRangeDates = function () { //"use strict";
  let firstMonthDays = document.querySelectorAll(".month:first-child .day");
  var i;
  for (i = 0; i < firstMonthDays.length; ++i) {
    if(!firstMonthDays[i].querySelector("a")){
      firstMonthDays[i].classList.add("past");
    } else {
      break;
    }
  }
  let lastMonthDays = document.querySelectorAll(".month:last-child .day");
  for (i = lastMonthDays.length - 1; i > 0; --i) {
    if(!lastMonthDays[i].querySelector("a")){
      lastMonthDays[i].classList.add("post-closing");
    } else {
      break;
    }
  }
}

$(document).ready(function(){
  Calendar.init(function(){
    Schedule.Fetch("./_data/schedule.json?v=4", function(){
      Schedule.Telecharge("Patriots",function(){
        Schedule.Populate (Schedule.eventslist,function() {
          Calendar.Fetch("./_data/availability.json",Calendar.Availability);
          Calendar.Fetch("./_data/featured.json",Calendar.Featured);
        });
      });
    });
  });
  $(document).on('click','#nav-calendar-more', function (e) {
    //console.log($(".month:not(.active):first"));
    //var el = document.querySelector(".month:not(.active):first");
    $(".month:not(.active):first").addClass("active");
    if(!$(".month:not(.active)").length) {
      $("#cal-nav").hide();
    }
    setTimeout(function(){
      var el = document.getElementById($(".month:not(.active):first").attr('id'));
      //console.log (el);
      if(el){
        el.scrollIntoView({
          behavior: 'smooth' // smooth scroll
        })
      }
    },200)
  });
});