<!DOCTYPE html>
<html lang="en" style="background:#000;">
<head><?php
/*
  define global variables
  -----------------------------*/

  // site info
  $version_number = "3.2";

  // URL / domain info
  $staging_directory_name = "patriots";
  $production_name = "Patriots";
  $production_domain = "patriotsbroadway.com";
  $production_company = "SpotCo o/b/o Patriots Broadway LP";
  $theater_name = "Barrymore Theatre";
  $theater_address = "243 West 47<sup>th</sup> Street";
  $theater_zip = "10036";
  $theater_link = "https://maps.app.goo.gl/8ZXckaCx7AzWrrnVA";

  // set ticketing links
  $main_ticket_link = "https://www.telecharge.com/Patriots-tickets?AID=BWY0014306000&utm_source=show_site&utm_campaign=PatriotsSS&utm_medium=web&utm_id=BWY0014306000";
  $group_tickets_link = "https://www.broadwayinbound.com/shows/patriots?utm_source=show_site&utm_campaign=CAMPAIGN&utm_medium=web";
  $premium_ticket_link = "";
  $presale_ticket_link = "";

  // set social links
  $facebook_link = "https://www.facebook.com/patriotsonbway/";
  $twitter_link = "https://twitter.com/patriotsbway";
  $instagram_link = "https://www.instagram.com/patriotsbway/";
  $tiktok_link = "https://www.tiktok.com/@patriotsBWAY";

  include './_inc/functions.php';

?>
<!-- HEAD -->
<?php include './_inc/head.php'; ?>
<!-- END HEAD -->
<?php if( false ): ?>
</head>

<body class="<?php echo $page; ?>">
<?php if($isLive){ include '_inc/scripts-inline.php'; } ?>
<!-- OUTERWRAPPER <?php var_dump($url_array); echo $page; ?> -->
<div id="outerwrapper" onclick="void(0);">
<!-- HEADER -->
<?php include './_inc/page-header.php'; ?>
<!-- END HEADER -->
<!-- PAGE CONTENT -->
<main id="content">
<?php include './_pages/'.$page.'.php'; ?>
</main>
<!-- END PAGE CONTENT -->
<!-- FOOTER -->
<?php include './_inc/page-footer.php'; ?>
<!-- END FOOTER -->
</div>
<!-- END OUTERWRAPPER -->
<?php include './_inc/overlay.php'; ?>
<!-- SCRIPTS -->
<?php include './_inc/scripts-footer.php'; ?>
<!-- END SCRIPTS -->
<?php include './_inc/cookie-popup.php'; ?>
<?php endif; ?>
</body>
</html>