<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php

  // SET DEFAULTS HERE

  $meta_title = "PATRIOTS | Official Broadway Website";
  $meta_description = "See Michael Stuhlbarg in the gripping new play by 'The Crown' creator Peter Morgan. Coming to Broadway April 1, 2024.";
  $meta_sitename = "PATRIOTS | Official Broadway Website";
  $meta_fbid = "";

  
  // OVERRIDE DEFAULTS HERE
  switch($page){

    case "tickets":
      $meta_title = "Get Tickets | ".$meta_title;
      $meta_description = "Get tickets, box office info, and answers to frequently asked questions.";
      break;
    case "cast":
      $meta_title = "Cast | ".$meta_title;
      $meta_description = "Meet our cast.";
      break;
    case "creatives":
      $meta_title = "Creative Team | ".$meta_title;
      $meta_description = "Meet our creative team.";
      break;
    case "signup":
      $meta_title = "Sign Up | ".$meta_title;
      $meta_description = "Sign up for news and content.";
      break;
    case "privacy":
      $meta_title = "Privacy | ".$meta_title;
      $meta_description = "Read our privacy policy.";
      break;
    case "cookies":
      $meta_title = "Cookies | ".$meta_title;
      $meta_description = "Read about how we use cookies.";
      break;
    case "gdpr":
      $meta_title = "GDPR | ".$meta_title;
      $meta_description = "Read about what we do to comply with the General Data Protection Regulation (GDPR).";
      break;

  }
?>

<title><?= $meta_title ?></title>

<!-- DEFAULT META -->
<meta name="description" content="<?= $meta_description ?>">
<meta name="author" content="SpotCo">

<!-- FACBOOK META-->
<meta property="og:title" content="<?= $meta_title ?>">
<meta property="og:description" content="<?= $meta_description ?>">
<meta property="og:image" content="<?= $base ?>_img/share-facebook.jpg">
<meta property="og:url" content="<?php if($page=="home"){ echo $base; }else{ echo $base.$page; }?>">
<meta property="og:type" content="article">
<meta property="og:site_name" content="<?= $meta_sitename ?>">
<meta property="fb:admins" content="<?= $meta_fbid ?>">

<!-- TWITTER META -->
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="@stereobway">
<meta name="twitter:title" content="<?= $meta_title ?>">
<meta name="twitter:description" content="<?= $meta_description ?>">
<meta name="twitter:creator" content="@stereobway">
<meta name="twitter:image:src" content="<?= $base ?>_img/share-twitter.jpg">

<!-- GOOGLE+ META -->
<meta itemprop="name" content="<?= $meta_title ?>">
<meta itemprop="description" content="<?= $meta_description ?>">
<meta itemprop="image" content="<?= $base ?>_img/share-square.jpg">