<ul id="quotes" class="quotes rotator">
  <li class="quote">
    <blockquote>&ldquo;Michael Stuhlbarg is&nbsp;superb.&rdquo;</blockquote>
    <cite>Jesse Green, <em>The New York Times</em></cite>
  </li>
  <li class="quote">
    <blockquote>&ldquo;Will Keen is&nbsp;magnificent.&rdquo;</blockquote>
    <cite>Naveen Kumar, <em>The Washington Post</em></cite>
  </li>
  <li class="quote">
    <blockquote>&ldquo;A gripping, juicy&nbsp;drama.&rdquo;</blockquote>
    <cite>Chris Jones, <em>Chicago Tribune</em></cite>
  </li>
  <li class="quote longest" style="font-size: .875em;">
    <blockquote>&ldquo;One of the most absorbing<br class="visible-tablet"> accounts of<br class="hidden-tablet"> political intrigue<br class="visible-tablet"> I&rsquo;ve ever seen on Broadway.&rdquo;</blockquote>
    <cite>Elysa Gardner, <em>NY Sun</em></cite>
  </li>
  <li class="quote">
    <blockquote>&ldquo;Michael Stuhlbarg grabs<br> the role by the throat.&rdquo;</blockquote>
    <cite>Greg Evans, <em>Deadline</em></cite>
  </li>
</ul>
<style>
  #quotes {
    position: absolute!important;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    z-index: 2;
  }
  @media (min-width: 1024px) {
    #quotes {
      margin: 2em auto 3em;
    }
  }
  @media (max-width: 639px) {
    #quotes {
      font-size: 3vw;
    }
  }
  .quote blockquote {
    font-size: 3em;
    line-height: .95;
    color: #ffcb06;
  }
  .quote cite {
    font-size: 1em;
    color: #fff;
  }
  blockquote:before {
    content: '';
    margin-left:-.3em;
  }
  blockquote:after {
    content: '';
    margin-right:-.3em;
  }
</style>