<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the JSON data from the request body
    $data = json_decode(file_get_contents('php://input'), true);

    //var_dump($data);

    if ($data !== null) {
        // Write the data to a JSON file
        $jsonData = json_encode($data['data']);

        $file = '../_data/featured.json';
        file_put_contents($file, $jsonData);

        echo "Featured Dates Updated\n";
        echo $jsonData;
    } else {
        http_response_code(400);
        echo "Invalid JSON data.";
    }
} else {
    http_response_code(405);
    echo "Method Not Allowed";
}
?>