$(document).ready(function(){
  $(document).on("click touchend","a.showlink", function(e) {
    e.preventDefault();
    if($(e.target).hasClass('featured')) {
      $(e.target).removeClass('best')
      $(e.target).removeClass('featured')
    } else if($(e.target).hasClass('best')){
      $(e.target).addClass('featured')
    } else {
      $(e.target).addClass('best')
    }
  })

  $(document).on("click touchend","#saveAvailability", function(e) {
    e.preventDefault();

    // save best availability dates
    var avail = [];
    function getBestAvailDates() {
      const bestAvails = document.querySelectorAll('.calendar a.showlink.best');
      const eventDates = [];
      bestAvails.forEach(bestAvail => {
          let dateAttribute = bestAvail.getAttribute('data-date');
          if (dateAttribute) {
              eventDates.push(dateAttribute);
          }
      });
      return eventDates;
    }
    avail = getBestAvailDates();
    //console.log(avail);
    const xhr = new XMLHttpRequest();
    xhr.open("POST", "./_inc/save-availability.php", true);
    xhr.setRequestHeader("Content-Type", "application/json");
    xhr.send(JSON.stringify({ data: avail }));
    xhr.onload = function() {
        if (xhr.status === 200) {
            alert(xhr.responseText);
        } else {
            console.error("Error saving data:", xhr.status, xhr.statusText);
        }
    };

    // save best featured dates
    var featured = [];
    function getFeaturedDates() {
      const featuredPerformances = document.querySelectorAll('.calendar a.showlink.featured');
      const eventDates = [];
      featuredPerformances.forEach(featuredPerformance => {
          let dateAttribute = featuredPerformance.getAttribute('data-date');
          if (dateAttribute) {
              eventDates.push(dateAttribute);
          }
      });
      return eventDates;
    }
    featured = getFeaturedDates();
    //console.log(featured);
    const xhr2 = new XMLHttpRequest();
    xhr2.open("POST", "./_inc/save-featured.php", true);
    xhr2.setRequestHeader("Content-Type", "application/json");
    xhr2.send(JSON.stringify({ data: featured }));
    xhr2.onload = function() {
        if (xhr2.status === 200) {
            alert(xhr2.responseText);
        } else {
            console.error("Error saving data:", xhr2.status, xhr2.statusText);
        }
    };

  });

  $(document).on("click touchend","#saveHeader", function(e) {
    var data = document.getElementById("textHeader").value;
    //console.log(data);
    const xhr = new XMLHttpRequest();
    xhr.open("POST", "./_inc/save-header.php", true);
    xhr.setRequestHeader("Content-Type", "text/plain");
    xhr.send(data);
    xhr.onload = function() {
        if (xhr.status === 200) {
            alert(xhr.responseText);
        } else {
            console.error("Error saving data:", xhr.status, xhr.statusText);
        }
    };
  });
/*
  $(document).on("click touchend","#demoHeader", function(e) {
    e.preventDefault();
    var data = document.getElementById("textHeader").value;
    //console.log(data);
  });

  $(document).on("click touchend","#demoMormon", function(e) {
    e.preventDefault();
    var data = document.getElementById("textMormon").value;
    //console.log(data);
  });
*/
  $(document).on("click touchend","#saveMormon", function(e) {
    var data = document.getElementById("textMormon").value;
    //console.log(data);
    const xhr = new XMLHttpRequest();
    xhr.open("POST", "./_inc/save-mormon.php", true);
    xhr.setRequestHeader("Content-Type", "text/plain");
    xhr.send(data);
    xhr.onload = function() {
        if (xhr.status === 200) {
            alert(xhr.responseText);
        } else {
            console.error("Error saving data:", xhr.status, xhr.statusText);
        }
    };
  });

});