/*
  team.js
--------------------------------------------------------------- */

//Namespace for bio functions
var bioGrid = {};

bioGrid.bioindex = 0;
bioGrid.bios = [];

bioGrid.loadBios = function () {"use strict";
  //Cast & creatives Bios
  if(document.body.classList.contains('cast')){
    for (var i=0; i < $("#cast .member").length; i++) {
      bioGrid.bios.push($('#cast .member:nth-of-type('+ (i+1) +')').clone());
      $('#cast .member:nth-of-type('+ (i+1) +')').data('index', i);
      //console.log($('#cast .member:nth-of-type('+ (i+1) +')'));
    }
  }
  if(document.body.classList.contains('creatives')){
    for (var i=0; i < $("#creatives .member").length; i++) {
      bioGrid.bios.push($('#creatives .member:nth-of-type('+ (i+1) +')').clone());
      $('#creatives .member:nth-of-type('+ (i+1) +')').data('index',(bioGrid.bios.length-1));
      //console.log($('#creatives .member:nth-of-type('+ (i+1) +')'));
    }
  }
  
  setTimeout(() => { $('body').addClass('bio-loaded'); }, 1000);

  $("#team .member").on("click touchstart", function(e) {
    console.log("yo");
    //if( !($(this).hasClass("creatives") && $(window).width()>=768) ) {
      e.preventDefault();
      bioGrid.bioindex = $(this).data('index');
      console.log(bioGrid.bioindex);
      //add overlay
      $("#team-overlay .overlay-inner").html(bioGrid.bios[bioGrid.bioindex]);
      $("html, body").addClass ("overlay-open");
      $("#team-overlay").addClass ("open");
      //next/prev
      $("#team-overlay .prev, .overlay .next").show();
      if (bioGrid.bioindex == (bioGrid.bios.length - 1)) {
          $("#team-overlay .next").hide();
      } else if (bioGrid.bioindex == 0) {
          $("#team-overlay .prev").hide();
      }
    //}
  });
};

//Next/Previous navigation
bioGrid.bioNav = function () {

  $(".overlay .next").click(function(e) {
    e.preventDefault();
    $(".overlay .prev").show();
    bioGrid.bioindex = bioGrid.bioindex + 1;
    if (bioGrid.bioindex == (bioGrid.bios.length - 1)) {
      $(this).hide();
    }
    else {
      $(this).show();
    }
    $("#team-overlay .overlay-inner").fadeOut(300, function() {
      var myDiv = document.querySelector('#team-overlay .scroll-window');
      myDiv.scrollTop = 0;
      $(this).html(bioGrid.bios[bioGrid.bioindex]).fadeIn(500);
    });
  });

  $(".overlay .prev").click(function(e) {
    e.preventDefault();
    $(".overlay .next").show();
    bioGrid.bioindex = bioGrid.bioindex - 1;
    if (bioGrid.bioindex == 0) {
      $(this).hide();
    } else {
      $(this).show();
    }
    $("#team-overlay .overlay-inner").fadeOut(300, function() {
      var myDiv = document.querySelector('#team-overlay .scroll-window');
    console.log(myDiv.scrollTop);
      myDiv.scrollTop = 0;
      $(this).html(bioGrid.bios[bioGrid.bioindex]).fadeIn(500);
    });
  });
};

// Close Cast Overlay
bioGrid.hideOverlay = function () {
  $ (".overlay .close").click (function (e) {
    e.preventDefault ();
    $ ("html, body").removeClass ("overlay-open");
    var myDiv = document.querySelector('#team-overlay .scroll-window');
    console.log(myDiv.scrollTop);
    myDiv.scrollTop = 0;
  });
};


$(document).ready (function () {"use strict";
    bioGrid.loadBios();
    bioGrid.bioNav();
    bioGrid.hideOverlay();
});

// EOF
